#!/bin/bash
SERVERNAME=otrs
CONFIG_VOLUME=30468151-61a0-47c1-82e7-f16b625066fc

echo "Creating VM ${SERVERNAME}"

openstack server create  \
--image ubuntu-16.04-amd64 \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.perl.md \
--min 1 \
--max 1 \
--security-group default \
--availability-zone novacompute1 \
--nic net-id=7a9ae8e9-8425-4084-94cc-fb70c069e957 \
--wait \
${SERVERNAME}

for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      openstack volume show ${CONFIG_VOLUME}
      openstack server show ${SERVERNAME}
      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
